# $Revision: 1.13 $, $Date: 2012/06/25 12:10:07 $
Summary:	Development framework for C (like GLib)
Summary(pl.UTF-8):	Szkielet programistyczny dla C (podobny do GLiba)
Name:		libmowgli
Version:	1.0.0
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://distfiles.atheme.org/%{name}-%{version}.tar.bz2
# Source0-md5:	e5f99410cb7b161f322b6bccd4b05dbe
URL:		http://atheme.org/projects/mowgli.shtml
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mowgli is a development framework for C (like GLib), which provides
high performance and highly flexible algorithms. It can be used as a
suppliment to GLib (to add additional functions (dictionaries,
hashes), or replace some of the slow GLib functions (like list
manipulation), or stand alone. It also provides a powerful hook system
and convenient logging for your code, as well as a high performance
block allocator.

%description -l pl.UTF-8
mowgli to szkielet programistyczny dla C (podobny do GLiba)
udostępniający wysoko wydajne i elastyczne algorytmy. Może być używany
jako suplement do GLiba (dodający nowe funkcje, takie jak słowniki czy
hasze) albo do zastąpienia niektórych wolnych funkcji GLiba (jak
operacje na listach), albo samodzielnie. Udostępnia także potężny
system uchwytów i wygodnego logowania, a także wysoko wydajny alokator
bloków.

%package devel
Summary:	Header files for libmowgli
Summary(pl.UTF-8):	Pliki nagłówkowe libmowgli
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libmowgli.

%description devel -l pl.UTF-8
Pliki nagłówkowe libmowgli.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/libmowgli.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmowgli.so.?

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmowgli.so
%{_includedir}/libmowgli
%{_pkgconfigdir}/libmowgli.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libmowgli.spec,v $
Revision 1.13  2012/06/25 12:10:07  kiesiu
- updated to 1.0.0

Revision 1.12  2011/05/04 10:55:37  lisu
- updated to 0.9.50
- adapter

Revision 1.11  2010/02/27 21:11:18  sparky
- unify %attr() %ghost order

Revision 1.10  2008/07/26 14:34:16  arvenil
- up to 0.7.0

Revision 1.9  2008/02/02 10:57:22  arvenil
- up to 0.6.1

Revision 1.8  2007-12-29 18:18:11  arvenil
- up to 0.6.0
- ghost back

Revision 1.7  2007-11-09 18:34:28  arvenil
- no more ghost
- release 2

Revision 1.6  2007/11/07 19:02:39  arvenil
- up to 0.5.0
- new URL

Revision 1.5  2007/09/09 23:01:03  arvenil
- up to 0.4.0
- changed source URL

Revision 1.4  2007/08/04 12:05:38  qboosh
- pl

Revision 1.3  2007/07/27 16:23:52  arvenil
- release 1

Revision 1.2  2007/07/23 16:19:57  arvenil
- up to 0.3.0

Revision 1.1  2007/07/21 17:09:47  arvenil
- init
